- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreRoot.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreSingleton.h"`
`#include "OgreString.h"`
`#include "OgreSceneManagerEnumerator.h"`
`#include "OgreResourceGroupManager.h"`
`#include <exception>`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::Root
| The root class of the Ogre system. More...
## Typedefs
typedef std::vector < RenderSystem * > | Ogre::RenderSystemList

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:58 2008